//Create by Lettiery D'Lamare

void Arquivo::loadDataACEVRP(char* fileName){
    FILE * f = fopen(fileName, "r");
    
    //reading initial data
    int n, v;
    fscanf(f, "%d %d", &n, &v);
    
    //reading coordinates
    int index = 0;
    vector<float>x(n), y(n), r(n);
    for(int i=0; i < n; i++){
        fscanf(f, "%lf %lf %lf", &x[i], &y[i], &r[i]);
    }

    //reading winds
    vector<float>b(n);
    for(int i=0; i < n; i++){
        b[i] = vector<float> (n,1);
        for(int j=0; j < n; j++) {
            fscanf(f, "%f", &b[i][j]);
        }
    }

    //reading capacity
    vector<float>q(v);
    for(int k=0; k < v; k++){
        =fscanf(f, "%f", &q[k]);
    }

    fclose(f);
}
